$color-error: #e9573f;
/** ------ FLOATING LABEL STYLES ------ **/
.mdl-textfield--floating-label.is-focused .mdl-textfield__label,
.mdl-textfield--floating-label.is-dirty .mdl-textfield__label,
.mdl-textfield--floating-label.has-placeholder .mdl-textfield__label {
  font-family: $Rubik-Font;
  font-weight: 400;
  font-size: 12px;
  color: rgba(255,255,255,0.80);
  line-height: 18px;
}

/** ------ FLOATING LABEL CORRECTIONS ------ **/
.mdl-textfield--floating-label.is-focused .mdl-textfield__label,
.mdl-textfield--floating-label.is-dirty .mdl-textfield__label,
.mdl-textfield--floating-label.has-placeholder .mdl-textfield__label {
  top: -14px;
}

/** ------ MDL INPUT STYLES ------ **/
.mdl-textfield__input {
  font-family: $Rubik-Font;
  font-weight: 500;
  font-size: 16px;
  line-height: 18px;
  color: rgba(255,255,255,0.80);
  border-bottom: 2px solid rgba(39,162,206,0.24);
}

.mdl-textfield__label {
  top: 12px;
}
.mdl-textfield__label:after {
  bottom: 0;
  background-color: #4FC1E9;
}

.mdl-textfield__error {
  font-family: $Rubik-Font;
  font-weight: 600;
  font-size: 0.6429rem;
  line-height: 18px;
  color: $color-error;
}

.mdl-textfield.is-invalid .mdl-textfield__input {
  border-color: $color-error;
}
.mdl-textfield--floating-label.is-invalid .mdl-textfield__label {
  color: $color-error;
}

/** ------ SPINNER STYLES ------ **/
.btn.primary {
  .mdl-spinner--single-color .mdl-spinner__layer-1,
  .mdl-spinner--single-color .mdl-spinner__layer-2,
  .mdl-spinner--single-color .mdl-spinner__layer-3,
  .mdl-spinner--single-color .mdl-spinner__layer-4 {
    border-color: #fff;
  }
}
